CREATE procedure [C6StagingPeriodico].[RP_UPDATE_COMPLESSITA_pre_selective]
as
begin 
/********************FOGLIO 1 UNIT LINKED************************************************************/
--begin transaction
UPDATE [C6StampeCentralizzate].C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
SET COMPLESSITA=1
--UPDATE  c6martperiodico.patrimonio_bf
--SET COMPLEX = 1
WHERE
--COD_INTERNO IN
CodInterno IN
(
'18',
'19',
'29',
'35',
'37',
'38',
'48',
'49',
'60',
'BT',
'ES',
'FR',
'FS',
'FT',
'FU',
--'GP',
'KP',
'OA',
'PO',
'PY',
'SB',
--'PR',
--'PX',
'SE',
'SF',
--'SI',
'ST',
'SU',
'K1',
'K2',
'K3',
'K4',
'K5',
'K6',
'K7')
/**************************FOGLIO 1 UNIT LINKED*******************INSERITA LA CONDIZIONE PER I SOTTOPRODOTTI DA ESCLUDERE ********************************/
SELECT * FROM [C6StampeCentralizzate].C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
UPDATE [C6StampeCentralizzate].C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
SET COMPLESSITA=2
--UPDATE  c6martperiodico.patrimonio_bf
--SET COMPLEX=2
WHERE
--COD_INTERNO IN
CodInterno IN
(
'S1',
'S2',
'S3',
'S4',
'S5',
'S6',
'S7',
'S8'
)
and 
--cod_sottoprodotto not in 
CodSottoprodotto not in 
('20001','20002','20005','20008')
update C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
set complessita = 1
--UPDATE c6martperiodico.patrimonio_bf
--set complex = 1
where 
--cod_interno in 
CodInterno in 
('S1','S2','S4','S5','S8')
--and cod_sottoprodotto in 
and CodSottoprodotto in 
('20001','20002','20005','20008')
/******************************FOGLIO 1 UNIT LINKED**********************************************************/
UPDATE [C6StampeCentralizzate].C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
--UPDATE c6martperiodico.patrimonio_bf
--SET COMPLEX=1
SET COMPLESSITA = 1
WHERE
--COD_INTERNO IN 
CodInterno IN 
(
'A7',
'A8')
/**************************************FOGLIO 2 FONDI*************************************************/
UPDATE [C6StampeCentralizzate].C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
--UPDATE c6martperiodico.patrimonio_bf
--SET COMPLEX=1
SET COMPLESSITA = 1
WHERE
CodSottoprodotto IN 
(
 '7149S'
,'7145S'
,'9968S'
)
/************************************FOGLIO 2 FONDI****************************************************/
UPDATE [C6StampeCentralizzate].C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
--UPDATE c6martperiodico.patrimonio_bf
--SET COMPLEX=1
SET COMPLESSITA = 1
WHERE
--COD_SOTTOPRODOTTO = '7146S'
CodSottoprodotto = '7146S'
/***********************************FOGLIO 3 CERTIFICATES************GIOVANNI HA DETTO CHE VANNO UPDATATI A 1 *****************************************/
UPDATE [C6StampeCentralizzate].C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI
--UPDATE c6martperiodico.patrimonio_bf
--SET COMPLEX=1
SET COMPLESSITA = 1
WHERE 
--COD_ISIN IN
CodIsin IN
(
 'DE000A0LJ552'
,'DE000A0MG8R0'
,'IT0004189368'
,'GB00B1WVWP64'
,'GB00B1Y3ZZ16'
,'XS0354254111'
,'GB00B2QM7Y61'
,'XS0235278982'
,'XS0179585186'
)
AND
CodInterno IN
(
 '00101740'
,'09139480'
,'09161420'
,'00830060'
,'09205930'
,'00168130'
,'08525040'
,'08556110'
,'09201230'
)
--update c6martperiodico.patrimonio_bf 
--set complex = 1
--
--where cod_prodotto in(
--
--
--
--select cod_prodotto
--from 
--c6martperiodico.anag_prodotti b
--where cod_isin in (
-- 'DE000A0LJ552'
--,'DE000A0MG8R0'
--,'IT0004189368'
--,'GB00B1WVWP64'
--,'GB00B1Y3ZZ16'
--,'XS0354254111'
--,'GB00B2QM7Y61'
--,'XS0235278982'
--,'XS0179585186'
--)
--AND
--COD_INTERNO IN
--(
-- '00101740'
--,'09139480'
--,'09161420'
--,'00830060'
--,'09205930'
--,'00168130'
--,'08525040'
--,'08556110'
--,'09201230'
--))
--
--commit
end
--exec c6martperiodico.dm_complessita